<?php

// Database connection string and table name with user passwords
$config['pr_db_dsn']      = 'mysql://vimbadmin:vimbdb-secret@10.0.25.10/vimbadmin';
$config['pr_users_table'] = 'mailbox';

// Array with names for ext_fields in 'pr_users_table': [name_for_plugin => name_in_db]
// When using the postfix database 'mailbox' table, you must add two columns to this table: 'question' and 'answer'
// If the plugin does not find the columns it needs in the database, they will be created automatically
$config['pr_fields'] = [ 'altemail' => 'alt_email' ];
#    'phone'    => 'phone', 'question' => 'question', 'answer'   => 'answer',

// Admin email (this account will receive alerts when an user does not have an alternative email and phone)
$config['pr_admin_email'] = 'postmaster@your.domain.com';

// Address to be indicated as reply-to in mail notifications
$config['pr_replyto_email'] = 'postmaster@your.domain.com';

// Use secret question/answer to confirmation password recovery
$config['pr_use_question'] = false;

// Use message with code to confirmation password recovery
$config['pr_use_confirm_code'] = true;

// Confirmation code length
$config['pr_confirm_code_length'] = 6;

// Maximum number of attempts to send confirmation code
$config['pr_confirm_code_count_max'] = 3;

// Confirmation code duration (in minutes)
$config['pr_confirm_code_validity_time'] = 30;

// Use the Password plugin to save a new password
$config['pr_use_password_plugin'] = true;

// Minimum length of new password 
// !!! Note: needed if not used Password plugin)
$config['pr_password_minimum_length'] = 8;

// Require the new password to have at least the specified strength score.
// Password strength is scored from 1 (weak) to 5 (strong).
// !!! Note: needed if not used Password plugin)
$config['pr_password_minimum_score'] = 1;


// SMTP settings
// $config['pr_default_smtp_server'] = 'tls://your.domain.com';
// $config['pr_default_smtp_user']   = 'no-reply@your.domain.com';
// $config['pr_default_smtp_pass']   = 'YOUR_SMTP_USER_PASSWORD';
$config['pr_default_smtp_server'] = 'localhost:25';
$config['pr_default_smtp_user']   = '';
$config['pr_default_smtp_pass']   = '';


// Full path to SMS send function
// This function must accept 2 parameters: phone number and message,
// and return true on success or false on failure
//
// Example of send SMS function using Clickatell HTTP API - see /lib/send.php
//
$config['pr_sms_send_function'] = dirname(__FILE__) . '/bin/sendsms.sh';


// Enables logging of password changes into /logs/password.log
$config['pr_password_log'] = true;

// Set to TRUE if you need write debug messages into /log/console.log
$config['pr_debug'] = false;

?>
